<div class="d-flex justify-content-center">
  <form [formGroup]="registerForm">
    <fieldset [disabled]="isPending">
      <legend>Registration</legend>
      <div class="error-server" *ngIf="serverErrorMsg">{{serverErrorMsg}}</div>
      <div class="form-group">
        <label for="username">Username</label>
        <input id="username" type="text" class="form-control"
               [class.is-invalid]="username.invalid && username.dirty"
               formControlName="username" required/>
        <div class="invalid-feedback" [class.show]="username.errors">{{getUsernameError(username)}}</div>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input id="password" type="password" class="form-control"
               [class.is-invalid]="password.invalid && password.dirty"
               formControlName="password" required/>
        <div class="invalid-feedback" [class.show]="password.errors?.required">{{getPasswordError(password)}}</div>
      </div>
      <div class="form-group">
        <label for="passwordRepeat">Password repeat</label>
        <input id="passwordRepeat" type="text" class="form-control"
               [class.is-invalid]="(passwordRepeat.invalid || registerForm.errors?.passwordRepeat) && passwordRepeat.dirty"
               formControlName="passwordRepeat" required/>
        <div class="invalid-feedback" [class.show]="passwordRepeat.errors?.required || registerForm.errors?.passwordRepeat" >{{getPasswordRepeatError(passwordRepeat)}}</div>
      </div>
      <div class="d-flex justify-content-end">
        <input class="btn btn-primary" type="submit" [disabled]="!registerForm.valid"
               (click)="register(username.value, password.value)"
               value="Register"/>
        <input id="back" class="btn btn-secondary ml-1" type="button" (click)="back()" value="Back"/>
      </div>
    </fieldset>
<!--    <code>registerForms.errors</code>
    <pre>{{registerForm.valid}}</pre>
    <pre>{{registerForm.errors?.passwordRepeat}}</pre>
    <pre>{{registerForm.errors | json}}</pre>
    <code>username.errors</code>
    <pre>{{username.valid}}</pre>
    <pre>{{username.errors | json}}</pre>
    <code>password.errors</code>
    <pre>{{password.valid}}</pre>
    <pre>{{password.errors | json}}</pre>
    <code>passwordRepeat.errors</code>
    <pre>{{passwordRepeat.valid}}</pre>
    <pre>{{passwordRepeat.errors | json}}</pre>-->
  </form>
</div>
